%global debug_package %{nil}

Name:           jssc
Version:        2.8.0
Release:        %mkrel 3
Summary:        jSSC is a simple and cross-platform serial-port communication library for Java
License:        GPLv3
URL:            https://github.com/scream3r/java-simple-serial-connector
Group:          Development/Java

Source0:        https://github.com/scream3r/java-simple-serial-connector/archive/v%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/org/scream3r/jssc/%{version}/jssc-%{version}.pom
Source2:        CMakeLists.txt

Patch0:         jssc-2.8.0-find_libjssc_so.patch

BuildRequires:  cmake
BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  junit
BuildRequires:  libgcj-devel

Requires:       java >= 0:1.6.0
Requires:       jpackage-utils

%description
jSSC (Java Simple Serial Connector) is a library for working with serial ports from Java.

%prep
%setup -q -n java-simple-serial-connector-%{version}
cp %{SOURCE1} pom.xml
cp %{SOURCE2} .

find -name \*.jar -delete
find -name \*.class -delete
# remove precompiled libs
rm -rf src/java/libs

%autopatch -p1

%build
# jar
pushd src/java
  export CLASSPATH=$(build-classpath junit)
  %javac -g -source 1.6 -target 1.6 -encoding UTF-8 $(find . -type f -name "*.java")
  jarfile="../../%{name}.jar"
  files="$(find . -type f \( -name '*.class' -o -name '*.properties' \))"
  %jar cvf $jarfile $files
popd
# jni lib
%cmake
%make

%install
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -pm 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/%{name}
install -pm 644 build/lib%{name}.so $RPM_BUILD_ROOT%{_libdir}/%{name}/

%files
%dir %{_javadir}/%{name}
%dir %{_libdir}/%{name}
%{_javadir}/%{name}/*
%{_libdir}/%{name}/*
%doc README.txt


%changelog
* Mon Mar 28 2016 pterjan <pterjan> 2.8.0-3.mga6
+ Revision: 995980
- Rebuild to get it on arm

* Sat Feb 20 2016 umeabot <umeabot> 2.8.0-2.mga6
+ Revision: 971754
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 ycantin <ycantin> 2.8.0-1.mga6
+ Revision: 875688
- imported package jssc

